== Changelog ==
= Master Elementor Addons 3.1.6 (23-07-2026) =
* Fixed: Blog Posts widget date, author, category, and tag links now open the correct archive, including for custom post types (the post type is kept in the link).
* Fixed: Blog Posts pagination now counts only the posts the widget actually queries, so an extra empty page no longer appears — and the Next/page links now work when the widget is placed on a normal page.
* Fixed: Blog Posts responsive "Number of Columns" for tablet and mobile now applies correctly.
* Added: Blog Posts filter tabs and query now support custom taxonomies, so custom post types (e.g. from ACF) can be filtered.
* Added: Blog Posts now shows custom taxonomy terms in the bottom tag list.
* Fixed: Background Slider overlay images now load from the correct assets URL, so overlays show up on both the free and Pro builds.
* Maintenance: Updated the Freemius licensing library to 2.13.4.

= Master Elementor Addons 3.1.5 (18-06-2026) =
* Security: Made the Recommended Plugins screen safer so only the plugins we list can be installed or activated.
* Security: Tightened the Mega Menu so it only responds to its own known actions.
* Security: Added safety checks when importing Template Kits to block unsafe files.
* Fixed: Some admin screens (Settings, Template Kits, Template Library, Setup Wizard) could show up blank — they now load correctly.
* Improved: Mega Menu now works smoothly with Elementor's new Atomic Elements, and only loads its styles on the pages that use a Mega Menu — so menus look right everywhere and your pages stay fast.
* Improved: General compatibility and code-quality tidy-up for the WordPress.org review.
* Maintenance: Updated the licensing library and removed unused files.

= Master Elementor Addons 3.1.4 (18-06-2026) =
* Security: moved the Custom CSS editor to the Pro build (no arbitrary CSS insertion in the free plugin).
* Security: added nonce verification to Mega Menu options save.
* Security: added capability checks to popup, template-save, white-label, and rollback handlers.
* Security: whitelisted option-name prefixes in the internal options helper.
* Compliance: renamed short/reserved identifiers to the unique jltma prefix; migrated popup table/option to prefixed names.
* Maintenance: removed unused bundled readme/markdown libraries; dropped a legacy Elementor (< 2.2.8) AJAX hook.

= Master Elementor Addons 3.1.3 (14-06-2026) =
* Added: Timeline widget Title and Content typography and color controls (Cards section), applied to both Post and Custom timeline items.
* Security: Hardened popup list sorting so it only accepts known sort options.
* Security: Tightened permissions on the Mega Menu content editor so only menu managers can use it.
* Improved: Custom CSS and JS in the Widget Builder are now a Pro feature; HTML stays available for everyone.
* Improved: Template previews now open in a new browser tab instead of loading inside the dashboard.
* Improved: Used unique name prefixes across the plugin for better compatibility with other plugins.
* Improved: Updated the Select2 library to the latest stable version.
* Improved: The setup wizard theme image now loads from within the plugin instead of an external site.
* Improved: Review links now open the full reviews page.
* Fixed: Template Live Preview link is now easy to read in Elementor's dark mode.

= Master Elementor Addons 3.1.2 (08-06-2026) =
* Added: Custom Attributes support for the link/button controls in Creative Button, Creative Links, Dual Heading, Info Box, Business Hours, Flipbox, Advanced Image, Image Hover Effects, Call to Action, Pricing Table and Featured Product (Pro) widgets.
* Added: Countdown Timer style presets (Card, Flip, Circle, Gradient, Neon, Glassmorphism, Minimal, Outline, Neumorphic) with the Layout and Style Preset options separated; the new presets are gated to Pro.
* Added: Counter Up responsive column support and a Content Position control for placing the title around the number.
* Added: Changelog widget Style tab controls (Heading, Title, Content) so the Style tab now appears before Advanced.
* Added: Pricing Table individual Currency, Fractional and Period color controls.
* Fixed: Dual Heading link showed "[object Object]" as the href in the editor and ignored Open in new window / Add nofollow / Custom Attributes; Style 1 markup, heading structure and extra-span spacing corrected.
* Fixed: Tooltip Width, Background, Color, Padding, Border and Typography style controls now apply (scoped to the per-widget Tippy theme); Tooltip Text now updates live in the Elementor editor.
* Fixed: Gradient Headline hover gradient colors now apply on hover only when set.
* Fixed: Pricing Table price typography now targets the price amount only, and extra spacing around the price/currency is removed.
* Fixed: Image Hover Effects border radius now rounds the image, border and hover overlays.
* Fixed: Progress Bar percentage number typography/DOM controller styling.
* Fixed: Contact Form 7 label margin now applies to the form labels.
* Fixed: "Unregistered dependency" PHP notice (jltma-prism) for the Source Code widget when the Pro license is inactive.
* Fixed: Nonce issue fixed.
* Added: Widget Builder now lets you add conditions and loops in your widget code, so you can show or hide parts of a widget and repeat items based on your settings.
* Added: Documentation links inside the Widget Builder — a quick link in the code panel and a help icon on every control.
* Improved: A roomier Widget Builder code editor — a wider editing area, a draggable panel you can size yourself, and cleaner, thinner scrollbars.
* Improved: Premium controls are now clearly locked on the free version and can no longer be added by mistake.
* Fixed: Background, typography and text shadow styling now applies exactly where you choose instead of to the whole widget.
* Fixed: Importing a widget now opens it correctly, and the Widget Builder menu appears in the right place.
* Improved: Widgets you build are now shown in a safer, more reliable way.

= Master Elementor Addons 3.1.1 (23-05-2026) =
* Security: Widget Builder no longer accepts or executes arbitrary PHP. PHP tags are stripped from all widget HTML/CSS/JS on save and during generation, so generated widget files contain only plugin-authored code. Dynamic values use {{placeholders}} that are escaped on output.
* Security: Removed the Widget Builder preview path that wrote user code to a temporary PHP file and included it. Previews now render statically with escaped mock values — no user PHP or JavaScript is executed.
* Security: Fixed an authenticated (author+) Stored XSS via the 'jtlma_custom_js' page setting / 'custom_js' element setting of the Custom JS extension (reported in versions up to 3.1.0). The extension is removed from the free plugin entirely (no render path remains); in Master Addons Pro the unfiltered_html capability is now enforced on save (the value is stripped for unprivileged users via the elementor/document/save filter) and at render (output gated by the post author's capability), not only during control registration.
* Security: Hardened the Custom CSS extension against tag-breakout XSS. The 'custom_css' element setting is now sanitized on save (via the elementor/document/save filter) and again on render before it is added to the stylesheet, stripping HTML/PHP tags (e.g. a "</style><script>" breakout), expression(), @import and javascript:/behavior: — closing the same direct-AJAX save bypass.
* Security: Added a nonce check to the Content Restriction AJAX handler and a capability check to the popup shortcode and template plugin-status AJAX handlers.
* Security: Sanitized the Select2 REST nonce flow (fail-closed) and tightened its capability to edit_posts; sanitized the template-data request and template-kit theme-activation nonce.
* Security: The bundled Markdown library no longer hooks the_content/comment filters globally; the jltma_template shortcode now escapes its returned markup.
* Maintenance: Updated @popperjs/core from 2.9.3 to 2.11.8. Removed the legacy option-based Widget Builder. Existing custom widgets are migrated automatically (data scrubbed and files regenerated; no widgets are deleted).

= Master Elementor Addons 3.1.0 (19-05-2026) =
* Compliance: Documented every external service the plugin contacts (Master Addons template API, Jewel Theme API, Google reCAPTCHA, Twitter/X, WhatsApp, Freemius) with terms and privacy links.
* Compliance: Removed the Template Kit "fix compatibility" routine that rewrote the active_plugins option.
* Compliance: Replaced deprecated openssl_free_key() and get_page_by_title() with version-safe equivalents.
* Compliance: Removed eval() and create_function(); the Widget Builder preview now uses an included temporary file.
* Compliance: Replaced the PHP short tag in the Infobox widget and removed remote CDN dependencies (Font Awesome, ace-builds, placeholder images now load locally / from Elementor).
* Compliance: Replaced remote file_get_contents() calls with the WordPress HTTP API and moved generated Widget Builder files to the uploads directory.
* Compliance: Removed the front-end PHP session in the Popup Builder in favour of a cookie.
* Compliance: Standardised every gettext call on the "master-addons" text domain and added direct-file-access protection to entry-point files.
* Compliance: Minimised the data sent by the subscribe form to only the administrator-submitted fields.
* Added: Popup Builder now rejects duplicate display conditions and shows an inline validation message.
* Improved: Theme Builder condition validation messages are shown as a centered, colour-coded alert.
* Fixed: "Undefined array key" PHP warnings in the upgrade notice and Pro upgrade dashboard widget.
* Fixed: Renamed an asset file containing a space and removed hidden system files.

= Master Elementor Addons 3.0.9 (25-04-2026) =
* Added: Dynamic Table Addons table head show/hide option add.
* Fixed: Dynamic Table mobile view warning issue fixed.

= Master Elementor Addons 3.0.8 (18-04-2026) =
* Fixed: Nav Menu hamburger toggle not working on mobile devices.
* Fixed: Nav Menu offcanvas, popup, and default dropdown modes styling restored after Bootstrap dependency removal.
* Fixed: Pro plugin showing "Sorry, you are not allowed to access this page." when Master Addons Free is not installed - now shows a proper install-free notice.
* Fixed: Console errors across the Template Library after SweetAlert removal (delete kit, template import, plugin install/activate).
* Fixed: Template Kit card thumbnail click now opens the in-app kit details view instead of opening an external preview URL.
* Added: Redesigned Template Kit upload flow with a single continuous modal — inline confirmation, stepped progress, per-template filename display, no popup-over-popup.
* Added: Faster Template Kit extraction using native ZipArchive with raised memory and execution time limits.
* Added: "IMPORTED" badge on Template Kit cards already present in the local library.
* Added: Shared promise-based confirmation and alert dialog system usable across Template Library, Widget Builder, Popup Builder, and Theme Builder.
* Added: ARIA attributes and keyboard accessibility (Enter / Space / Esc) to Nav Menu toggle and import modals.
* Added: Template Kits, Library & Popup Builder help tutorials links added.

= Master Elementor Addons 3.0.7 (05-04-2026) =
* Fixed: Gallery Slider Thumbnails style issue fixed.
* Added: Some missing help links add to options settings.

= Master Elementor Addons 3.0.6 (29-03-2026) =
* Fixed: Elementor Custom Icon Library not showing issue fixed.

= Master Elementor Addons 3.0.5 (14-03-2026) =
* Fixed: Fatal error in RegistrationMagic plugin resolved.

= Master Elementor Addons 3.0.4 (13-03-2026) =
* Fixed: Gallery Slider swiper slide issue fixed.
* Fixed: Gallery Slider lightbox features frontend image infinite loading issue fixed.

= Master Elementor Addons 3.0.3 (10-03-2026) =
* Fixed: Blog Post Master Elementor Addon frontend showing single column instead of grid layout
* Fixed: Timeline Master Elementor Addon vertical scroll animation not working on frontend
* Fixed: Timeline Master Elementor Addon vertical scroll line colors not matching between editor and frontend
* Fixed: Multiple Master Elementor Addon missing grid CSS on frontend (Counter Up, Business Hours, Tabs, Call to Action, Image Filter Gallery, Table)
* Fixed: Timeline Master Elementor Addon unclosed wrapper div for post-type timelines
* Fixed: PHP 8.x deprecation warnings (strpos/str_replace with null values) in Master Elementor Addons
* Fixed: Version mismatch notice showing incorrectly when both Free and Pro Master Elementor Addons are compatible
* Fixed: Setup Wizard scroll issue fixed.
* Added: Fail-safe version guard in Master Elementor Addons Pro plugin with 3-tier version detection

= Master Elementor Addons 3.0.2 (08-03-2026) =
* Fixed: Fatal error issue fixed.

= Master Elementor Addons 3.0.1 (08-03-2026) =
* Fixed: Add Master Addons Pro guard.

= Master Elementor Addons 3.0.0 (08-03-2026) =
* New Feature: Elementor Popup builder released
* New Feature: Elementor Template Kit library released
* Fixed: Transforms extension styles now load correctly on the frontend
* Fixed: Slider controls now display proper default values in the Transforms extension
* Fixed: Rotate and Skew controls now use correct degree units in the Transforms extension
* Fixed: Transition duration now defaults to a sensible 400ms for smoother animations
* Added: Minified CSS in Transforms extension for faster page load performance
* Improved: Animated Gradient Background in Master Elementor Addons now uses a smoother background-position animation technique
* Improved: Animated Gradient Background editor preview now matches the live frontend animation
* Added: Animation easing control in Animated Gradient Background in Master Elementor Addons
* Improved: Mailchimp in Master Elementor Addons form layout now uses a clean inline input and button design
* Improved: Mailchimp in Master Elementor Addons input and button now have a consistent 50px height
* Added: Color-coded alert messages (error, success, warning) in Mailchimp in Master Elementor Addons
* Added: Icon sizing support for form elements in Mailchimp in Master Elementor Addons
* Fixed: Domain name now correctly appears in success and error messages in Domain Checker in Master Elementor Addons
* Fixed: Domain name now displays bold in search results in Domain Checker in Master Elementor Addons
* Fixed: Stray "1" no longer appears at the end of success messages in Domain Checker in Master Elementor Addons
* Improved: Domain Checker in Master Elementor Addons form layout now matches the consistent Search widget style
* Changed: Default search icon updated to the native WordPress icon in Search in Master Elementor Addons
* Fixed: Icon now renders and centers correctly inside search buttons in Search in Master Elementor Addons
* Fixed: Search popup button background color now displays properly in Search in Master Elementor Addons
* Fixed: Tooltip in Master Elementor Addons settings now update in real-time inside the Elementor editor
* Fixed: Tooltip in Master Elementor Addons initialization errors resolved for a more stable editing experience
* Fixed: Pie Chart in Master Elementor Addons now appears correctly in the Elementor widget panel
* Fixed: Pie Chart in Master Elementor Addons arc no longer gets cut off at the edges
* Fixed: Pie Chart in Master Elementor Addons percentage text is now properly centered
* Added: Default border style for Info Box in Master Elementor Addons items for a cleaner out-of-the-box look
* Added: Default hover background color for Info Box in Master Elementor Addons
* Fixed: Typo in Info Box in Master Elementor Addons hover background color label
* Improved: Gradient Headline in Master Elementor Addons default gradient position updated to 30% for better visual appearance
* Fixed: PHP warning related to period position setting in Pricing Table in Master Elementor Addons
* Fixed: Admin submenu order corrected — Account and Support now appear at the bottom
* Improved: Admin menu order is now: Settings → Template Library → Theme Builder → Account → Support
* Added: Update notification badge on the admin menu when a plugin update is available
* Improved: White label settings now apply consistently across both free and pro versions on the plugins page
* Added: Pro version now automatically appends "Pro" to your custom plugin name in White Label
* Removed: Elementor Rollback feature removed.
* Added: Pro users are now guided to their Freemius account to manage version rollbacks
* Added: Gzip compression for assets — pages now load faster when your server supports it
* Improved: JavaScript now loads per-widget so only what is needed loads on each page
* Improved: Help documentation links for all widgets are now managed from a single central location
* Fixed: Elementor editor now loads admin assets without any 404 errors
* Added: Master Elementor Addons promotional button added in the Elementor editor panel

= Master Elementor Addons 2.1.4 (28-02-2026) =
* Security: Security update.

= Master Elementor Addons 2.1.3 (23-02-2026) =
* Fixed: Version rollback option is now correctly hidden from the admin panel.

= Master Elementor Addons 2.1.2 (15-02-2026) =
* Security: Fixed a security vulnerability affecting text output in 15 settings across 10 widgets in Master Elementor Addons.
* Security: Fixed security issue in the Elementor Business Hours widget.
* Security: Fixed security issue in the Elementor Creative Links widget.
* Security: Fixed security issue in the Elementor Call to Action widget.
* Security: Fixed security issue in the Elementor Flipbox widget.
* Security: Fixed security issue in the Elementor Info Box widget.
* Security: Fixed security issue in the Elementor Progress Bar widget.
* Security: Fixed security issue in the Elementor Blockquote widget.
* Security: Fixed security issue in the Elementor Dual Heading widget.
* Security: Fixed security issue in the Elementor Creative Buttons widget.
* Security: Fixed security issue in the Elementor Changelog widget.

= Master Elementor Addons 2.1.1 (25-01-2026) =
* Fixed: Elementor Timeline icon not showing on frontend issue fixed.

= Master Elementor Addons 3.0.1 (14-02-2026) =
* Security: Fixed a security vulnerability affecting text output in 15 settings across 10 widgets in Master Elementor Addons.
* Security: Fixed security issue in the Elementor Business Hours widget.
* Security: Fixed security issue in the Elementor Creative Links widget.
* Security: Fixed security issue in the Elementor Call to Action widget.
* Security: Fixed security issue in the Elementor Flipbox widget.
* Security: Fixed security issue in the Elementor Info Box widget.
* Security: Fixed security issue in the Elementor Progress Bar widget.
* Security: Fixed security issue in the Elementor Blockquote widget.
* Security: Fixed security issue in the Elementor Dual Heading widget.
* Security: Fixed security issue in the Elementor Creative Buttons widget.
* Security: Fixed security issue in the Elementor Changelog widget.

= Master Elementor Addons 2.1.0 (11-01-2026) =
* Added: Elementor Popup Builder — professional popup creation with advanced triggers, conditions, and optimized asset loading.
* Added: Elementor Theme Builder — complete solution for building headers, footers, and custom template parts with grouped template types (Theme, Post, Page, WooCommerce), including new Category, Tag, Author, Date, and Single template types.
* Added: Elementor Template Library — cloud-based template storage and management.
* Added: Elementor Template Kit System — pre-built template collection with one-click demo import.
* Added: Demo Importer in Master Elementor Addons — one-click demo content import with variation support.
* Added: Element Name Extension in Master Elementor Addons — name and organize your Elementor elements for a better workflow.
* Added: Elementor Navmenu widget in Master Elementor Addons.
* Added: MA Post Content support for Dynamic Tags in Master Elementor Addons.
* Security: Fixed XSS vulnerability in the Elementor Flipbox and Gradient Headline widgets.
* Security: Fixed unauthorized access vulnerability — proper permission checks added across Master Elementor Addons.
* Security: All widgets with HTML tag selectors now use whitelist validation to prevent script injection in Master Elementor Addons.
* Fixed: Fatal error in Elementor White Label settings resolved.
* Improved: Elementor White Label upgrade popup, logo preview, and description text updated for a cleaner and more professional experience.
* Improved: Elementor White Label settings now apply consistently to both free and Pro plugin entries on the Plugins page.
* Fixed: Pro element lock icons are now correctly hidden when the Pro version is active.
* Fixed: Card hover effects, double hover background, icon display, meta and date alignment, and custom point variations now all work correctly in Elementor Timeline.
* Fixed: Read More text, excerpt color, typography, and padding controls now work correctly in Elementor Timeline.
* Added: Read More button styling with Normal and Hover tabs in Elementor Timeline.
* Fixed: Icon background, alignment, padding, size, color, hover effects, and 3D Flip Box animation now all work correctly in Elementor Info Box.
* Added: Flip Box height control and gradient background support for Elementor Info Box.
* Fixed: Content type dropdown, toggle icons, icon position, background color, and icon spacing now all work correctly in Elementor Advanced Accordion.
* Added: Expand and Collapse icon picker with position control in Elementor Advanced Accordion.
* Fixed: Elementor Mega Menu content can now be edited directly in the Elementor editor.
* Added: Icon picker with 3,000+ icons library in Elementor Mega Menu.
* Improved: Color picker, submenu indicator animations, and close icon updated in Elementor Mega Menu.
* Fixed: Hover and click events, non-pretty permalink support, and default icon now all work correctly in Elementor Mega Menu.
* Fixed: Form submission, password validation, error messages, and button alignment now all work correctly in Elementor Restrict Content.
* Added: Styled error messages and comprehensive popup button style controls in Elementor Restrict Content.
* Updated: Padding, Margin, and Animation Delay settings now support responsive controls in Elementor Animated Headlines.
* Added: Bar Color, Height, and Bar Position controls for the Loading Bar style in Elementor Animated Headlines.
* Added: Number Suffix and Prefix color, size, margin, and responsive column options in Elementor Counter Up.
* Updated: Default border radius, icon position visual toggle, and responsive text alignment control added in Elementor Creative Buttons.
* Fixed: Period overlap, feature list divider, button background, SVG icon styles, and tooltip cut-off issues all resolved in Elementor Pricing Table.
* Added: Feature list margin option with responsive support in Elementor Pricing Table.
* Fixed: Content type query settings now apply correctly in Elementor News Ticker.
* Updated: Elementor News Ticker rebuilt for better performance with rounded ribbon design and smoother vertical centering.
* Added: Height, thumbnail width, and thumbnail shape controls in Elementor News Ticker.
* Fixed: Elementor Progress Bar now takes full width inside containers and renders correctly in the editor.
* Updated: Elementor Blockquote redesigned with decorative quote marks, author bar symbol, and new show/hide toggles for all decorative elements.
* Fixed: Border radius, hover controls, and SVG icon color now work correctly in Elementor Creative Links.
* Added: Default border and border radius in Elementor Creative Links.
* Fixed: Header alignment, odd and even row background colors now work correctly in Elementor Dynamic Table.
* Added: Default header background color, border radius, and non-responsive option in Elementor Dynamic Table.
* Added: Ribbon width, position, and border radius controls in Elementor Advanced Image.
* Fixed: Image border radius and ribbon styling completely revamped in Elementor Advanced Image.
* Fixed: Post title typography now works correctly in the Elementor Blog widget.
* Improved: Elementor Glassmorphism Effect, Display Options, Reading Progress Bar, and Animation extensions updated with enhanced functionality and bug fixes in Master Elementor Addons.
* Fixed: JavaScript layout error, Off-Canvas Content widget rendering, and template kit loading issues resolved in Master Elementor Addons.
* Updated: Freemius SDK updated to the latest version.

= Master Elementor Addons 2.0.9.9.4 (10-12-2025) =
* Fixed: Elementor Custom JS not showing on the frontend issue fixed. Thanks @alvarogarciar for reporting.

= Master Elementor Addons 2.0.9.9.3 (07-12-2025) =
* Fixed: Pagination not working correctly for Post Types issue fixed.

= Master Elementor Addons 2.0.9.9.2 (06-12-2025) =
* Fixed: Fatal error occurring when Elementor is not active with the Custom JS module resolved.

= Master Elementor Addons 2.0.9.9.1 (06-12-2025) =
* Fixed: Custom Post Types not showing in the Elementor Blog widget. Thanks @hamiddavodi for reporting.

= Master Elementor Addons 2.0.9.9 (29-10-2025) =
* Fixed: Display condition for terms and archive pages now works correctly in Master Elementor Addons.
* Fixed: Dynamic tags no longer showing twice for widgets.
* Improved: Elementor Gallery Slider UI and UX improvements.
* Improved: Elementor Dynamic Table now has a non-responsive option for better mobile control.

= Master Elementor Addons 2.0.9.8 (06-10-2025) =
* Fixed: Display condition for logged-out users only now works correctly. Thanks @hamiddavodi for reporting.
* Fixed: Wrapper link not working in Safari browser resolved. Thanks @adzpz for reporting.
* Improved: Admin notice UI improvements in Master Elementor Addons.

= Master Elementor Addons 2.0.9.7 (21-09-2025) =
* Fixed: Mobile nav menu toggle not working correctly in the free version.
* Security: Freemius SDK updated for improved security.

= Master Elementor Addons 2.0.9.6 (31-08-2025) =
* Added: Dynamic Tags support added for Elementor Image Hover Effects.
* Updated: Elementor Mega Menu feature updated.
* Fixed: Elementor Animated Gradient Background extension not working issue fixed.
* Fixed: Elementor Particles Background not working issue fixed — now also works correctly inside the editor.
* Fixed: Elementor Background Slider not working issue fixed — now works on both editor and frontend.
* Fixed: Extensions not showing on Advanced and Style tabs for Elementor containers fixed.

= Master Elementor Addons 2.0.9.5 (19-08-2025) =
* Updated: Minor bug fixes.

= Master Elementor Addons 2.0.9.4 (18-08-2025) =
* Updated: Minor bug fixes.

= Master Elementor Addons 2.0.9.3 (18-08-2025) =
* Updated: Elementor Team Slider controls updated for better display on mobile devices.
* Fixed: Elementor Custom CSS not applying on the frontend issue fixed.
* Fixed: Elementor Custom JS not showing in the editor issue fixed.

= Master Elementor Addons 2.0.9.2 (13-08-2025) =
* Updated: Template Importer label hover and style improvements in Master Elementor Addons.
* Updated: MA Templates — added Templates and Popup options, fixed data not saving issue.
* Fixed: Elementor Animated Headlines rotate animation background color issue fixed.
* Added: Elementor Gradient Headline — Normal and Hover color sections added for both classic and gradient modes.
* Fixed: Elementor Info Box preset 8 icon padding issue fixed.
* Fixed: Elementor Dual Heading extra default margin removed.
* Fixed: Elementor Gallery Slider preview image border radius and thumbnail hover effects fixed.
* Fixed: Gravity Form fatal error resolved.

= Master Elementor Addons 2.0.9.1 (06-08-2025) =
* Fixed: Elementor Creative Button icon "after" position issue fixed.
* Fixed: Elementor Toggle widget default icon and icon width issue fixed.
* Fixed: Elementor Business Hours widget default icon updated and preset layout issues resolved.
* Fixed: Elementor Filterable Gallery masonry layout option fixed.
* Added: Elementor Blockquote — border radius option added.
* Fixed: Elementor Advanced Image lightbox and ribbon style issues fixed.

= Master Elementor Addons 2.0.9.0 (03-08-2025) =
* Security: XSS vulnerability patched in the Elementor Filterable Gallery widget.
* Security: XSS vulnerability patched in the Elementor Image Carousel widget.
* Security: XSS vulnerability patched in the Elementor Image Hover widget.

= Master Elementor Addons 2.0.8.9 (30-07-2025) =
* Added: New Elementor Icons Library with Teeny Icons, Remix Icons, and Feather Icons integrated into Master Elementor Addons.
* Updated: Icons Library options and data settings to work smoothly with the new icon sets.
* Fixed: Elementor Advanced Tabs icon colors (Font Awesome and SVG) and active state colors now display correctly.
* Added: Gap and alignment controls for Elementor Advanced Tabs for better layout control.
* Fixed: Elementor Countdown Timer margin and line-height issues for cleaner spacing.
* Improved: Elementor Countdown Timer controls with clearer labels, alignment options moved to the Style tab, and new styling controls for item size, box shadow, backgrounds, and label text.
* Fixed: Elementor Image Hover effect title display issue.
* Fixed: Removed unnecessary Elementor inline text editor from the Table of Contents widget for cleaner markup.
* Fixed: Elementor Info Box default icon, chosen icon, and hover presets now behave correctly across variations.
* Fixed: Elementor Pricing Table default icon, tooltip behavior, and layout options (height and vertical position) now work properly.
* Added: Feature Product content alignment options for documentation lists.
* Fixed: Default icon width now applies correctly in Elementor Creative Links.
* Fixed: Contact Form 7 (variations 5 and 6) design issues, including submit button background and text color, now resolved in Master Elementor Addons.

= Master Elementor Addons 2.0.8.8 (26-07-2025) =
* Updated: Elementor Counter Up prefix placeholder value for clearer default text.
* Fixed: Elementor Image Hotspots tooltip tag and image alignment issues.
* Fixed: Elementor Image Comparison default image preview now displays correctly.
* Added: Elementor Restrict Content popup button alignment control and a slider to adjust spacing between description and age restriction fields.
* Fixed: Elementor Domain Checker Font Awesome icon color issue resolved.

= Master Elementor Addons 2.0.8.7 (20-07-2025) =
* Fixed: Elementor Progress Bar title alignment, percentage color, and typography controls now work correctly.
* Fixed: Elementor Team Member widget default icon now displays as expected.
* Fixed: Elementor Blog “Read More” button style options now apply correctly.
* Fixed: Elementor Tooltip content alignment issues resolved.
* Fixed: Elementor Advanced Tabs vertical layout height, width, and content alignment (top, center, bottom) now behave correctly.

= Master Elementor Addons 2.0.8.6 (14-07-2025) =
* Fixed: “Master Addons” typo corrected in the Elementor Category Panel.
* Improved: Elementor Call to Action now relies more on theme typography by removing forced line height, uppercase, and font weight.
* Updated: Removed “Button” HTML tag option from Elementor Dual Heading to avoid output misuse.

= Master Elementor Addons 2.0.8.5 (13-07-2025) =
* Fixed: Save Template option in Master Elementor Addons was not working and is now fully functional.
* Fixed: Import Template option in Master Elementor Addons now imports templates correctly.
* Updated: Elementor Cloud template storage option support added in Master Elementor Addons.
* Security: XSS security patch applied to strengthen Master Elementor Addons.

= Master Elementor Addons 2.0.8.4 (10-07-2025) =
* Fixed: Elementor Blog widget warning notice issue resolved.
* Updated: General UI improvements across Master Elementor Addons.

= Master Elementor Addons 2.0.8.3 (09-07-2025) =
* Fixed: Elementor Accordion (Master Accordion) widget title alignment issue resolved.
* Added: Tags separator option for the Elementor Blog Posts widget in Master Elementor Addons.
* Security: Stored XSS vulnerability patch applied in Master Elementor Addons.
* Security: Patch added for unauthorized style update issues in Master Elementor Addons.

= Master Elementor Addons 2.0.8.2 (30-06-2025) =
* Security: Additional security patch applied for CSS-related scripts in Master Elementor Addons.
* Fixed: Elementor Tooltip extension missing text issue resolved.

= Master Elementor Addons 2.0.8.1 (18-06-2025) =
* Updated: Enhanced security validation across Master Elementor Addons.
* Updated: Removed deprecated Elementor classes for better long-term compatibility.

= Master Elementor Addons 2.0.8 (13-06-2025) =
* Security: Fixed insufficient capability check in the Elementor Custom JS module that could cause a stored XSS vulnerability.
* Updated: Strengthened security validation for Elementor Custom JS inputs to prevent Contributor+ level script injection.

= Master Elementor Addons 2.0.7.6 (26-05-2025) =
* Fixed: Elementor Image Hover effect deprecated code updated for compatibility.
* Fixed: Template Importer image loading issues in Master Elementor Addons resolved.
* Fixed: MA Timeline JavaScript error fixed for smoother behavior in Elementor.
* Fixed: Text domain loading order adjusted to prevent early loading issues.
* Fixed: Elementor editor loading issue caused by Master Elementor Addons now resolved.
* Security: General security patch applied in Master Elementor Addons.
* Updated: Freemius SDK upgraded for better security.

= Master Elementor Addons 2.0.7.5 (19-04-2025) =
* Fixed: WordPress 6.8 critical error related to Master Elementor Addons resolved.

= Master Elementor Addons 2.0.7.4 (10-03-2025) =
* Fixed: Elementor Mega Menu data saving issues and editor close button position improved.
* Fixed: Security and performance issues addressed in Master Elementor Addons.
* Fixed: Plugin iframe popup (thickbox) styling issues updated.
* Fixed: MA Templates save issues resolved in Master Elementor Addons.

= Master Elementor Addons 2.0.7.3 (02-03-2025) =
* Updated: Freemius SDK with latest security improvements.
* Fixed: Elementor Particle extension for sections now works correctly.
* Updated: Swiper library usage aligned with Elementor’s bundled Swiper library.
* Fixed: Interactive Tooltip follow-cursor behavior now works as expected.
* Fixed: Deprecated Elementor classes removed according to latest Elementor updates.
* Security: Security patch applied for cross-site scripting issues in Master Elementor Addons.

= Master Elementor Addons 2.0.7.2 (19-02-2025) =
* Updated: Compatibility added for PHP 8.2+ and WordPress 6.7.2 in Master Elementor Addons.
* Security: Core security updates applied to address potential vulnerabilities.
* Fixed: Elementor Accordion element missing value issue resolved.

= Master Elementor Addons 2.0.7.1 (18-01-2024) =
* Updated: Container support added for the Wrapper Link extension in Master Elementor Addons.
* Updated: Upgrade to Pro badges removed from the Premium version of Master Elementor Addons.

= Master Elementor Addons 2.0.7.0 (04-01-2024) =
* Fixed: Elementor Image Carousel not working issue resolved in Master Elementor Addons.

= Master Elementor Addons 2.0.6.9 (22-12-2024) =
* Fixed: Fatal error related to Elementor Custom CSS and JS resolved in Master Elementor Addons (thanks @kazishiplu for reporting).

= Master Elementor Addons 2.0.6.8 (21-12-2024) =
* Fixed: Wrapper Link extension affecting only the last link inside the same container now works correctly.
* Updated: Swiper class updated; Elementor Team Slider now works properly.
* Updated: Slider Addons (Team Slider, Logo Slider) improved in Master Elementor Addons.
* Fixed: Tooltip extension position issue resolved in Master Elementor Addons.
* Fixed: Text domain warning issue fixed.

= Master Elementor Addons 2.0.6.7 (27-11-2024) =
* Security: Multiple security issues fixed in Master Elementor Addons.
* Updated: Freemius library updated.
* Updated: Master Elementor Addons Wrapper Link module improved.
* Updated: Swiper slider updated to match latest Elementor implementation.

= Master Elementor Addons 2.0.6.6 (02-10-2024) =
* Fixed: Elementor Mega Menu save issues resolved.
* Fixed: “MA Templates” not saving issue fixed in Master Elementor Addons.
* Updated: Modal Popup UI/UX improved in Master Elementor Addons.
* Updated: Freemius SDK updated.
* Removed: Recommended Plugins menu removed from the admin area.
* Added: Dedicated Support submenu added for faster help.
* Updated: waypoints.js replaced with native Intersection Observer API; all scripts using elementorFrontend.waypoint() updated accordingly.
* Updated: Mega Menu and Demo Importer UI/UX improved in Master Elementor Addons.
* Updated: Performance optimized for cached static content to improve TTFB and PageSpeed scores.
* Updated: Elementor Flipbox icon and image selection experience improved in Master Elementor Addons.

= 2.0.6.5 (04-09-2024) =
* Updated: Security Bugs fixed

= 2.0.6.4 (17-08-2024) =
* Updated: Security Bugs fixed

= 2.0.6.3 (08-07-2024) =
* Updated: Security Bugs fixed
* Updated: Blog Addon updated


= 2.0.6.2 (02-06-2024) =
* Updated: Security Bugs fixed

= 2.0.6.1 (15-05-2024) =
* Updated: Security Bugs fixed

= 2.0.6.0 (27-04-2024) =
* Updated: Freemius SDK update
* Updated: Minimum Elementor and PHP version Updated
* Updated: Security Bugs fixed


= 2.0.5.9 (20-04-2024) =
* Update: Deprecated Codes updated
* Update: Mega Menu Saving Issue fixed
* Update: Mega Menu Editor Close button position updated
* Update: Plugins iframe popup thickbox style issue updated
* Update: MA Templates save issue fixed
* Update: Security Update fixed
* Update: Typography Globals issue fixed
* Update: Advanced Accordion - Toggle not working issue fixed

= 2.0.5.8 (24-03-2024) =
* Update: Security Bugs fixed

= 2.0.5.7 (12-03-2024) =
* Update: Security Bugs fixed
* Updated: Elementor deprecated namespace, methods has been updated and compatible with latest version
* Updated: MA Comments updated with broken style issues
* Updated: Search Element updated styles
* Updated: Advanced Image 'preload' not working issue fixed

= 2.0.5.6 (25-01-2024) =
* Update: Security Bugs fixed

= 2.0.5.5 (31-12-2023) =
* Update: Modula Gallery Plugin Conflict issue fixed

= 2.0.5.4 (25-12-2023) =
* Update: Security update
* Update: White Label Logo not updating issue fixed

= 2.0.5.3 (23-11-2023) =
* Updated: Performance issue fixed
* Updated: Admin Settings not working issue fixed
* Updated: Popup notice not closing issue fixed

= 2.0.5.2 (12-11-2023) =
* Updated: File name typo issue fixed

= 2.0.5.1 (12-11-2023) =
* Updated: Admin Scripts updated

= 2.0.5 (12-11-2023) =
* Updated: Security Update issue fixed
* Updated: Freemius SDK Updated
* Updated: Notice not working issue fixed
* Updated: Latest WordPress Compatibility
* Updated: Latest Elementor Compatibility
* Updated: Latest Elementor Pro Compatibility
* Updated: Dashboard Welcome Widgets issue fixed

= 2.0.4 (11-10-2023) =
* Updated: Security Update issue fixed
* Updated: Call to Action button "New Window" not working issue fixed
* Removed: Tag 'p' removed from Advanced Accordion Title
* Updated: Advanced Tabs updated with Tabular Content Alignment issue
* Added: Bubble Line Position added on Progressbar
* Updated: Stats Title Color and Typography not working issue fixed on Progressbars
* Updated: Business Hours update with "Short Details" style preset background image not working issue
* Updated: Business Hours Sub Title Show/Hide option not working issue fixed


= 2.0.3 (06-07-2023) =
* Updated: Updated Freemius SDK to the latest version
* Updated: Latest Elementor & Elementor Pro checked

= 2.0.2 (27-05-2023) =
* Fixed: Countdown Timer "Minutes" typo issue fixed
* Fixed: Master Addons icon on Editor alignment issue fixed
* Fixed: Navigation Menu broken style issue fixed. Thanks [@guitar4jc](https://wordpress.org/support/topic/nav-menu-styling-broken/) for informing about the issue
* Fixed: Sourcemap file "master-addons-styles.css.map" not found 404 error issue fixed. Thanks [@sneoo4](https://wordpress.org/support/topic/critical-error-on-all-admin-subsites-multisite/) for informing about the issue
* Updated: All icons picker codebase updated for - Toogle Content, Advanced Tabs, Team Members, Dynamic Table,
* Added: Icon width on Style tab for "MA Advanced Tabs"
* Added: Icon Header width, Icon Body width, Icon Header Color, Icon Body with and SVC Icon color on Style tabs for "Dynamic Table"
* Added: Icon Color, width, border radius, background color updated for Logo Slider
* Updated: Icon Color, Icon Width updated for Infobox
* Added: Icon Width added for "Image Hover Effects", updated CSS selectors for SVG icons for "Font Awesome 5"
* Updated: Flipbox - Icon picker frontend code updated
* Fixed: Flipbox - Back SVG Icon not resizing issue fixed
* Added: Creative Links - Added Icon width option
* Added: Creative Buttons - Added Icon width option and updated SVG icon color option
* Added: Business Hours - Added Icon width option
* Added: Business Hours - Added Icon Color option
* Updated: Advanced Accordion - Icon library codes updated
* Fixed: WP get_page_by_title() is deprecated

= 2.0.1 (22-03-2023) =
* Fixed: Call to undefined method Freemius_Api_WordPress::RemoteRequest() PHP fatal error issue fixed

= 2.0.0 (13-03-2023) =
* Fixed: Unsupported operand issue fixed on MA Blog widget
* Fixed: Comment form field loading issue at backend
* Fixed: Google re-captcha issue fixed
* Fixed: Swiper Slider overflow issue fixed.

= 1.9.9 (26-02-2023) =
* Fixed: Compatibility check with latest WordPress and Elementor, Elementor Pro

= 1.9.8 (04-01-2023) =
* Fixed: Megamenu click/hover & width issue fixed

= 1.9.6 (13-11-2022) =
* Checked: Version Compatibility check with WordPress 6.1 and latest Elementor & Elementor Pro

= 1.9.5 (26-10-2022) =
* Fixed: "Datetime" issue fixed on multisite dashboard error issue fixed

= 1.9.4 (18-09-2022) =
* Fixed: "Timeline" addon -  Date displaying twice on responsive mode fixed

= 1.9.3 (02-07-2022) =
* Fixed: "Infobox" addon -  default hover style visiblity issue fixed, removed duplicate settings and code cleaned up
* Fixed: "Timeline" addon -  date displaying twice in mobile/table issue fixed, Date Format added for custom/vertical timeline date picker & logic updated for displaying post featured image.
* Fixed: "Navigation Menu" addon -  Style issue fixed when Layout/Type is VERTICSL/SIDE.
* Fixed: "Current Time" addon -  Name of the Month made translate able.
* Fixed: Dynamic Tags deprecated hook updated
* Update: "Background Slider" addon -  Added a new settings "Display Random?" to display the slider iamges randomly on each page load..

= 1.9.2 (15-06-2022) =
* Fixed: "Advanced Image" addon - Image alighment & Preload image issue fixed.
* Fixed: "Gallery Slider" addon - Thumbnail click issue fixed.
* Fixed: "Navigation Menu" addon - dropdown indicator, submenu indicator, indicator hover animation & Gap between issue fixed.
* Fixed: "Counter Up" addon -  suffix, prefix & image display issue fixed.
* New: New "Creative Button" addon - added a new button style.
* Updated: "Team Slider" addon - added Socials network Icons - Tiktok, Youtube & Email etc
* Fixed: PHP Fatal erorr fixed.
* Fixed: "Welcome Screen" php undefined issue fixed
* Fixed: "Background Slider" extension - overlay issue fixed
* Fixed: "Swiper Slider" addon - Arrow offset issue fixed
* Fixed: Whole plugin text-domain updated for translation
* Fixed: "Info box" addon - css issue fixed
* Fixed: "MA Timeline" addon - php 8.0 issue fixed
* Fixed: "Entrance Animation" extension - not working (frontend) issue fixed
* Fixed: "Gallery Slider" addon - Thumbnail carousel display issue fixed
* Fixed: "Filterable Image Gallery" addon - massonry issue fixed.
* Fixed: "Creative Button" addon - Elevation button style issue
* Fixed: PHP Warning undefined index issue fixed on white label
* Fixed: Fixed typo on white label
* Fixed: PHP undefined array key issue fixed
* New: New Addon "Logo Slider" Released
* New: Added white label settings to remove MA Placeholder image
* Removed: Timeline - Post Timeline "Date Source" removed
* Added: Timeline - Added Custom Label field to Custom Vertical Timeline.

= 1.9.1 (01-05-2022) =
* Fixed: "Info Box" All style presets image show/alignment issue fixed.
* Fixed: "Blog Posts" addon's List Layout Type > List Blur Content issue fixed.
* Fixed: "Team Slider" Content Drawer style not working issue fixed, Social Left on Hover icon design improved, Image border settings control added & Spacing control added for name,designation, dimension.
* Fixed: "Nav Menu" sub menu broken issue fixed on mobile.
* Fixed: "Logo Slider" Slides Per Column settings field added to contorl number of images to show in the slider.
* Fixed: "Creative Button" -Effect: Ujarak hover color issue fixed.
* Fixed: White Label bugs for Welcome Tab issue fixed
* Updated: Flipbox updated with undefined variable issue
* Updated: Team Slider updated with undefined variables

= 1.9.0 (23-04-2022) =
* Fixed: Elementor Popup width issue fixed
* Updated: Timeline scrollbar not scrolling issue fixed
* Fixed: Image Hover effect popup icon issue fixed
* Updated: Latest Elementor support and deprecated methods updated


= 1.8.9 (21-04-2022) =
* Fixed: Admin UI page tab menu responsive issue fixed
* Fixed: Mega Menu - Default value added for newly enabled megamenu to show up builder content.
* Added: Mega Menu - Dropdown menu width settings added to the Mega Menu Settings Popup.
* Fixed: Mega Menu -Megamenu hover issue fixed, both mobile and megamenu was hovering at the same time.
* Fixed: Mega Menu -Megamenu php error fixed, wrapped up by a conditoin if megamenu extension is enabled.
* Fixed: Dual Heading - Text Alignment issue fixed.
* Fixed: Team Member - Box Shadow issue not working fixed.
* Fixed: Team Memer - Designation padding/margin issue fixed.
* Fixed: Team Slider - settings "Shadow mode" color not working issue fixed.
* Fixed: Creative Button - "saqui" animation efect on hover issue fixed.
* Fixed: Info Box - style seven hover color issue fixed.
* Fixed: Creative Links - Effect: Text Fill, Scale Down, Fall Down, Move Up broken issue fixed.
* Fixed: Infobox - variation no 10th hover color issue fixed.
* Fixed: Advanced Accordion - Content Color and Background Color not working issue is fixed.
* Fixed: Progressbars - active bar color issue fixed.
* Fixed: Image hover - effect popup not working issue fixed.
* Fixed: Timeline - Enabling Links breaks the timeline issue fixed.
* Fixed: Tooltip Tab settings/styles added to swiper controls.
* Updated: Wrapper Link extension updated
* Updated: Timeline - Vertical Timeline Enable Links breaks issue fixed

= 1.8.8 (09-04-2022) =
* Fixed: "MA Templates" popup not working issue fixed
* Updated: Admin Notices updated for Free and Pro users.
* Fixed: Toggle Content broken HTML issue fixed
* Fixed: Swiper Carousel Fixed "Carousel Settings > Paused on hover" not working issue fixed
* New: New Addon "Image Carousel" Released
* Updated: "Image Carousel" addon - dyamic image Size made, Added Caption (Title & Subtitle ) Support on Lightbox(Fancybox & Elementor) popup, Elementor popup width fixed.
* Removed: "Image Carousel" addon - Image Fit settings removed
* Fixed: "Image Carousel - Carousel Items > Active Tab" style not working issue fixed.  Other bugs - Dot position bug fixed,  Arrows, Dots & Fraction style & position bugs fixed,  Dynamic Next /Prev Icon, Scrollbar display issue fixed, Offset vertical/horizontal
* Updated: Tooltips Extension library updated to latest version, compressed all supported files into one file
* Updated: Tooltips Extension - Arrow type bug fixed, Distance issue fixed, Size settings removed, Manual Trigger programmatically added.
* Fixed: Relax & Reveal display issue fixed.
* Fixed: Mega Menu not working issue fixed
* Fixed: Nav Menu Addon - Megamenu dropdown display issue fixed, dropdown hover animation, dropdown icon issue fixed, switching on hover dropdown display issue fixed
* Fixed: Nav Menu Addon - PHP notice: array to string conversion issue fixed


= 1.8.7 (09-03-2022) =
* Fixed: Error "JLTMA_Extension_Particles does not have a method “ma_el_add_particle_admin” issue fixed. Thanks [@kmrao](https://wordpress.org/support/topic/jltma_extension_particles-does-not-have-a-method-ma_el_add_particle_admin/) for informing about the issue
* Updated: SQL query bug issue fixed
* Fixed: Space on heading class "MA Blog" issue fixed. Thanks [@steliosk82](https://wordpress.org/support/topic/problem-with-titles-in-ma-blog-posts/)
* Updated: "MA Duplicator" security bug and Template Importing issue fixed
* Updated: Error Array to String conversion on "MA Reading Progress Bar" issue fixed

= 1.8.6 (06-03-2022) =
* Updated: Sanitization, Escape & Validation issues fixed
* Updated: Freemius SDK Updated
* Fixed: MA Blog - class spacing issue fixed. Thanks @steliosk82 for informing about the bug.
* Fixed: MA Duplicator $wpdb->prepare() used for SQL Query
* Updated: MA Countdown Timer updated
* Updated: Rollback Version updated

= 1.8.5 (27-02-2022) =
* Updated: Sanitization, Escape & Validation issues fixed
* Updated: Template Library not working issue fixed

= 1.8.4 (23-02-2022) =
* Updated: Sanitization, Escape & Validation issues fixed
* Updated: All remote Image and Script, Style url's moved on local scope
* Updated: Stable Tags updated
* Updated: Featured Product Rating style issue fixed

= 1.8.3 (21-02-2022) =
* Updated: MA Timeline broken html issue fixed

= 1.8.2 (20-02-2022) =
* Updated: All Ajax Requests Security bug issues fixed
* Updated: Master Addons Editor icon alignment issue fixed

= 1.8.1 (30-01-2022) =
* Added: New Addon Element "Comparison Table" released

= 1.8.0 (16-01-2022) =
* Added: New Addon Element "Comparison Table" released
* Updated: Counter UP Content Alignment issue fixed
* Updated: Pro version CSS file not found issue fixed
* Updated: Swiper Slider not working issue with Team Slider, Timeline, Blog Carousel, Logo Slider etc has been fixed
* Fixed: Image Hover Effects - External Links not working issue fixed

= 1.7.9 (10-01-2022) =
* Fixed: Unreleased Addons list updated

= 1.7.8 (10-01-2022) =
* Added: New Extension "Tooltips" added
* Fixed: Mega Menu Popup not working issue fixed
* Fixed: Mega Menu Enable/Disable and "Edit with Elementor" button switcher issue fixed
* Fixed: Floating Effects not working issue fixed

= 1.7.7 (02-01-2022) =
* Fixed: Plugin Activation error fixed

= 1.7.6 (02-01-2022) =
* Added: New Addon "Source Code" Addon added
* Updated: Replaced string "MELA" on Master Addons Options panel
* Fixed: 'is_pro' warning showing on admin panel, issue fixed
* Fixed: Advanced Tabs - Tabular Content style issue fixed
* Updated: Panel "Master Addons" Icon color issue updated to white
* Updated: Dashboard Widgets feed xml error issue fixed
* Updated: Infobox Style - Five and Ten Updated, fixed broken Hexagon layout
* Updated: Image Hotspot - Tooltip position for individual item issue fixed
* Fixed: Modal Popup on Header Footer Templates not working issue fixed

= 1.7.5 (24-11-2021) =
* Updated: Icons Extended Extension updated with Icons Library - Elementor Icons, Simple Line Icons, Iconic Font Icons, Linear Icons, Material Icons.
* Updated: Admin UI updated
* Updated: Display Conditions Extension for protecting contents updated for Sections. Previously, it was only for widgets or elements. Now it supports Sections also
* Removed: Trials removed from Master Addons for Elementor
* Fixed: Display Conditions Output HTML checkbox not working issue fixed


= 1.7.4.1 (24-10-2021) =
* Removed: Feather Icons, Remix Icons, Teeny Icons from Icons Library Manager
* Added: Elementor Icons, Iconic Font Icons, Linear Icons, Material Icons, Simple Line Icons added on Icons Library Manager
* Added: Icons Library Manager Options added on Master Addons Admin Panel and configured with White Label Options
* Fixed: White Label Options not saving issue fixed
* Fixed: Mega Menu popup not showing issue fixed
* Fixed: Header, Footer & Comment Form Builder popup not showing issue fixed

= 1.7.4 (11-10-2021) =
* Fixed: Pricing Table button not showing issue fixed
* Fixed: Comments addon not showing on Addons list issue fixed

= 1.7.3 (24-09-2021) =
* Updated: Elementor Free Icons not found issue fixed
* Updated: Reading Progressbar extension warning issue fixed
* Updated: Updated Pricing Page

= 1.7.2 (24-09-2021) =
* Fixed: Glassmorphism Extension Class not found issue fixed

= 1.7.1 (24-09-2021) =
* Fixed: Update notice error issue fixed
* Fixed: Text Domain issue fixed

= 1.7.0 (24-09-2021) =
* Updated: All Addons and Extensions styles re-coded for speed optimization
* Updated: RTL support for both Admin Panel and All Addons and extensions
* Updated: Dual Headlines - fixed icon size and color not working issues. Added, Icon sizes and fixed typo "text color"
* Updated: Deprecated method _content_template() fixed on all elements and extensions
* Updated: Advanced Accordion - Toggle/Accordion option not working issue fixed
* Updated: Progressbars loading bar not showing issue fixed both admin and frontend
* Updated: Team Members - Added
* Removed: Bootstrap dependecies removed
* Fixed: Image Hotspots - fixed not working on editor mode and individual item icon color not changing issue
* Fixed: Counter Up - Editor style not working issue and Counterup not working on editor mode
* Updated: Creative Links - organized option settings
* Updated: MA Tooltip - Completely re-coded with tippy.js with extensive options
* Updated: MA Image Filter Gallery - Tooltip functionality updated
* Updated: MA Hotspots - Tooltip functionality updated
* Updated: MA Pricing Table - Tooltip functionality updated
* Added: "Tooltip" extension added, now any element/section can have Tooltips
* Updated: Table of Contents - addon fully re-coded with bug fixes.
* Removed: Team Slider - Circle svg Animation style 05,06,07 has been removed for file not found.
* Updated: Team Slider - Carousel Arrow Distance style not working issue fixed
* Updated: All Addons deprecated `_register_controls` method replaced with `register_controls()` for later Elementor 3.0.0 supports
* Updated: All Element Addon translation support given, editor broken issue fixed
* Added: Pricing Table - Icon control Color Control, Icon Size, Icon Padding, Icon Margin settings added
* Added: MA Search Addon - added Popup settings for Input Text and Description text change
* Added: Restrict Contents - added fields are - Password fields placeholder text,Age restricting select fields, Math Captcha fields width on style tab.
* Added: New Addon Element Image Carousel Addon
* Updated: Info box - Title hide while selecting icon issue fixed
* Updated: Logo Carousel - Logo Slider updated with Swiper Slider
* Updated: Team Slider - Team Slider updated with Swiper Slider
* Updated: Admin Notice for Review and Upgrade design updated
* Updated: Blog - Blog Slider updated with Swiper Slider
* Updated: Timeline - Timeline style updated, Horizontal Timeline slider updated
* Support: PHP version 5.6 supported
* Updated: Current Time - reference link updated
* Updated: Search Addon - Icon Color not changing and SVG Icon editor error issue fixed
* Updated: Blockquote Addon - Blockquote Color, Typography, Background Color, Text Alignment etc style options added
* Updated: Toggle Content - Default Label Content added
* Fixed: Advanced Image - Lightbox Image not showing issue fixed
* Fixed: Header Footer & Comment Builder - popup not working issue fixed
* Fixed: Counter Up -Number Suffix and Number Prefix added for counter
* Fixed: Toggle Content - Indicator Background Color, Width, Height options added

= 1.6.6 (08-09-2021) =
* Update: Style Tab not working on Custom Breakpoints issue fixed
* Compatibility: Latest Elementor and Elementor Pro Compatibility

= 1.6.5 (09-07-2021) =
* Dependency: Elementor Custom Breakpoints plugin updated with latest Elementor Support
* Tweak: Removed `Elementor\Scheme_Typography` deprecated function and updated with `Elementor\Core\Schemes\Typography`
* Tweak: Removed `Elementor\Core\Schemes\Color` deprecated function and updated with `Elementor\Core\Schemes\Color`
* Update: MA Toggle Content - Label field cann't change issue fixed, fixed Icon picker issue also.
* Dependency: Stratus Theme supports given
* Fixed: Display Conditions not working issue fixed
* Fixed: Image filter gallery Image source not getting issue fixed
* Fixed: Removed "Master Addons for Elementor" text on Editor Breakpoints

= 1.6.4 (30-05-2021) =
* Fixed: Many "MA Icons" icons showing issue fixed.Thanks to @slipperyman, Support URL: https://wordpress.org/support/topic/many-ma-icons/
* Added: Floating Effect was removed, it's added again to work smoothly.

= 1.6.3 (30-05-2021) =
* Updated: Team Slider, Image Carousel Arrows & Pagination re-structured. Outside arrows not working issue fixed
* Fixed: Oceanwp theme conflicts with bootstrap.min.css file issue fixed
* Fixed: Animated Gradient - Add New button not working issue fixed. Thanks @oscarlopem, Support URL: https://wordpress.org/support/topic/animated-gradient-background-does-not-work/
* Updated: MA Icon not showing on Page/Post Editor. Conflicting with "Elements Kit" plugin issue fixed

= 1.6.2 (25-04-2021) =
* Fixed: Admin area text "Master Addons for ElementorMaster Addons" for network levels issue fixed. Thanks @sneoo4, Support URL: https://wordpress.org/support/topic/text-master-addons-for-elementormaster-addons-appear-in-admin-area/


= 1.6.1 (24-04-2021) =
* Fixed: Mega Menu REST API data not saving issue fixed. Thanks @toki666, Support URL:https://wordpress.org/support/topic/mega-menu-not-save
* Fixed: Mega Menu not working issue fixed
* Fixed: Dual Heading: Description alignment not working
* Fixed: Cross-Site Scripting(XSS) for widget issue fixed - Dual Heading, Accordion, Animated Headlines, Gradient Headline, Blog, Flipbox, Image Carousel, Image Hover Effects, Team Members Slider,
* Fixed: Timeline: Icon not working issue fixed
* Updated: MA Search color not working issue fixed. Border, Padding added for Search Icon
* Fixed: Debug warnings 'thumbnail_size' for Image Hover Effect, Team Member issue fixed
* Fixed: "News Ticker" content not showing as slide. When hover there is a URL but no text issue fixed
* Fixed: "Dual Heading" Description alignment not working issue fixed
* Fixed: "Team Slider" - overlapping content on Fade Effect for Team Carousel issue fixed
* Fixed: "Team Slider" - Style>Position not working issue fixed


= 1.6.0 (27-03-2021) =
* Fixed: Dynamic Tags not working issue fixed
* Fixed: Tooltip styles broken issue fixed
* Fixed: Dashboard Text upper menu issue fixed
* Fixed: Timeline - Custom Timline Date not showing issue fixed

= 1.5.9 (11-03-2021) =
* Fixed: Menu Title not showing issue fixed

= 1.5.8 (10-03-2021) =
* Fixed: Form Addons and Marketing addons not found on Elementor Panel issue fixed.
* Added: White Label Options added for Developer Plans only feature.
* Added: System Information tab added on Settings panel. It has all necessary informations about current website. Copy to clipboard added for faster support of list of Active plugins.
* Fixed: Advanced Accordion default padding issue fixed.
* Fixed: MA Image Carousel - Column not working issue fixed
* Compatibility: Latest WordPress v5.7 and Elementor v3.1.4

= 1.5.7 (28-02-2021) =
* Updated: 'jquery-slick' updated with 'Swiper Slider' library. Updated Widgets - MA Blog, MA Slider, MA Gallery Slider, MA Twitter Slider, MA Timeline etc
* Added: New Element added "Advanced Image".
* Added: "MA Duplicator" added on Extensions
* Updated: Fully revamped plugins file structure with namespace and file locations.
* Updated: Domain Checker - Added Search Button Link for Affiliates and anyone can integrate WHMCS for searching Domains.
* Removed: Slick Slider removed from Gallery Slider
* Removed: Slick Slider removed from Blog Element
* Removed: Slick Slider removed from Timeline
* Removed: Slick Slider removed from Logo Carousel
* Removed: Slick Slider removed from Image Carousel
* Removed: Slick Slider removed from Twitter Carousel
* Updated: Blog Element updated with Swiper Slider support and improved functionality.
* Updated: Gallery Slider updated with Swiper Slider support
* Updated: Timeline Element fully revamped with new UI and fixed bugs
* Removed: "MA" word removed from all Elements
* Added: Blog Posts Element - Added "All" text change option on Category Tabs filter. Thanks to @link1921u. Feature Request URL: https://wordpress.org/support/topic/string-all-in-ma-blog/
* Added: Blog - 2 new options added for thumbnail position - a)Top Thumb, Bottom Title and b)Bottom Thumb, Title Top. Thanks @link1921u. Feature Request URL: https://wordpress.org/support/topic/image-under-title-author-date-ma-blogs/
* Fixed: Filterable Gallery - Tooltip not working issue fixed
* Fixed: Filterable Gallery - Filterable Navigation Show/Hide issue fixed
* Added: Filterable Gallery - Tilt Effect with option settings added
* Added: Filterable Gallery - Editor not working and "global" undefined console error issue fixed.
* Added: Filterable Gallery - Lightbox image overlaps like one after another issue fixed. Thanks to @pedropamn. Support Link: https://wordpress.org/support/topic/bug-when-image-is-clicked/
* Added: Vertical Timeline - Editor not working and "global" undefined console error issue fixed.
* Updated: Team Slider - Carousel Settings updated with latest Swiper compatibility
* Updated: Image Carousel - Carousel updated with Swiper Compatibility
* Updated: Logo Slider - Carousel updated with Swiper Compatibility
* Updated: Twitter Slider - Carousel updated with Swiper Compatibility
* Removed: "Instagram Feed" removed due to recent update of Instagram API changes
* Updated: Repeater Fields not working on Editor and having a gray color background issue fixed for - Advanced Accordion, Animated Headlines, Business Hours, Changelogs, Image Filterable Gallery, Image Carousel, Image Hotspot, Image Hover Effects, Logo Slider, Pricing Table, Slider Element, Dynamic Table, Advanced Tabs, Timeline, Toggle Content etc
* Updated: Dual Heading - First Heading and Description Alignment not working issue fixed. Conditions applied for First Heading and Description alignment
* Updated: Completely revamped "Advanced Accordion" with better UX. Removed all unnecessary elements and styles. Can do any type of design now like gradient title, gradient color content etc. Toggle content alignment issue fixed and updated.
* Fixed: MA Tabs editor preview not working issue fixed
* Fixed: MA Progressbars editor preview not working issue fixed
* Updated: Team Members fixed issues - Content alignment not working fixed, Social Icons repeater not working on editor fixed, Social icons style updated, added placeholder image if no image selected.
* Updated: Image Hover Effects - removed "No Image Selected" notice and added placeholder image for better user experience.
* Updated: Background Slider Extension - fixed Editor not loading issue



= 1.5.6.2 (24-01-2021) =
* Added: Custom Timeline date_format option added.
* Updated: Fully Multisite supported
* Fixed: Multisite Activation error issue fixed
* Updated: Multisite License update all over network updated
* Updated: Widgets loading on each Multisite require files updated
* Added: Advanced Accordion - Border Radius, Box Shodow added on Title


= 1.5.6 (10-01-2021) =
* Added: "Gradient Headlines" Element added
* Tweak: worked on Performance issue
* Fixed: Few CSS issue fixed

= 1.5.5 (26-12-2020) =
* Added: Particles Extension "Z-Index" option added
* Added: Wrapper Link extension. Supports - Individual Elements, Sections & Columns. You can Make Section or Column Clickable on Elementor.
* Updated: We've got numerous requests about performance issue. Updated Huge performance updated on both Editor and Frontend. Loading scripts and styles conditionally.
* Added: Animation settings added on "MA Animated Headlines" widget element
* Added: Gradient Color Option added on Reveal
* Updated: MA Reveal - reveal for Columns supports given
* Fixed: Admin Notice "Never Show Again" not working issue has been fixed
* Fixed: Creative Buttons style issue fixed for - Winona, Tamaya, Rayen, Nina, Nanuk, Antiman, Itzel, Naira, Quidel etc
* Fixed: Team Members - Social Icons with Content Alignment issue resolved
* Fixed: Progressbar - input number showing wrong fill bar color issue fixed
* Fixed: MA Infobox - Color and style issue for variation one, two, five, seven, eight, nine and ten fixed


= 1.5.4.1 (8-12-2020) =
* Fixed: Sweetalert2 issue fixed on Admin "Save Settings"
* Fixed: Mailchimp Addon conflicting ID issue fixed


= 1.5.4 (22-11-2020) =
* Updated: Slow Down Elementor issue resolved. All Scripts and Styles dependecies will only active while the specific addon will be added.
* Removed: Team Member default Background color removed
* Fixed: Uncaught Error: Class 'Elementor\Plugin' not found issue fixed for Floating Effects
* Added: alignment, padding option added for Icon, Title, Desciption on MA Infobox
* Added: MA Counter Up - Added Individual item Background Color Option
* Added: MA Blog - Added Show/Hide Read More link
* Updated: Getting Error "elementorFrontend" is not defined issue fixed for "Custom Breakpoints"
* Support: Formidable Form supports given, conflicting issue with Checkbox, Labels issue fixed
* Fixed: Active Text color white issue on "MA Image Filter Gallery" issue fixed
* Updated: Reveal extension bug - Anime.min.js updated
* Added: Morphing Blob Effect Extension
* Added: Main plugin file renamed from 'master-elementor-addons.php' to 'master-addons.php'
* Fixed: Upsell coupon code typo issue fixed. 25% discount given. Also made the strings translatable
* Updated: "Total Number of Posts" on MA Blog Posts Pagination issue fixed
* Updated: "Pagination Alignment" on MA Blog updated and fixed
* Added: Added "Active" tab on MA Blog>Style>Pagination for styling Active pagination items
* Updated: Freemius Library Updated from v to v2.3.0
* Fixed: "responsive_icon.svg" icon not found on Console issue fixed
* Updated: Performance issue on Elementor Eidtor Speed increased. Re-factored files for lowest requests
* Updated: "MA Dual Heading" - Enable Icon condition issue fixed, General settings changed to Icon Settings



= 1.5.3 (28-09-2020) =
* Added: Version Rollback option added on "Master Addons" option menu if something happened wrong. Users can Rollback to Previous version.
* Fixed: MA Table Icon not working issue fixed
* Released: Floating Effects extension added
* Updated: Transfroms Extension updated. On previous there's lack of interactions and slow the Editor Process. Imrpoved the functionality and performance.
* Fixed: MA Advanced Accordion - Saved Section, Widget, Page Templates pro message shown
* Fixed: MA Current Time - Custom Date Format dropdown issue fixed. Changed to TEXT format
* Fixed: MA Countdown Timer - Datetime format issue fixed on Countdown timer. On previous time showing wrong format.
* Added: Tooltip "Visible on Hover" added on "MA Tooltip" and "MA Image Hotspot" extension
* Removed: Group Control "Transofrms" removed
* Removed: Single Control "Transofrms" removed
* Removed: Single Control "XY Position" removed


= 1.5.2.1 (14-09-2020) =
* Fixed: is_woocommerce_active() function return missing issue fixed

= 1.5.2 (13-09-2020) =
* Fixed: Animated Headlines - Backend not working issue has been fixed. Now, working perfectly on both backend and frontend.
* Added: Animated Headlines - Added Padding, Margin, Border, Border Radius and Box shadow for more controls on animated headlines
* Fixed: Reading Progres Bar warning fixed
* Added: Item Padding option added on Navmenu
* Removed: Default Tablet background color removed from Navmenu
* Added: Comment Form Submit Button - Background Color, Typography, Padding, Margin, Border, Border Radius, Box shadow added
* Fixed: Progress Bars - active bar color option added, stats alignment(left,default,right) option added
* Fixed: Call to Action - Background Color not changing issue fixed
* Removed: Call to Action - Background Color Style Preset not required, already it has options and removed
* Removed: Call to Action - Gradient Background Color Style Preset not required, already it has options and removed
* Fixed: Call to Action - Background Color not changing issue fixed
* Updated: Call to Action - Previous Icon dropdown select option replaced with Icon Picker Library.
* Updated: Call to Action - re structured UX settings for better control. Added more controls like padding, margin, border radius, Button Style etc
* Added: Filterable Portfolio Gallery - Image Popup Icon select option added, Added Icon size option on Style Tab
* Added: Filterable Portfolio Gallery - Title Typography, Description/Sub Title typography and Color not working issue fixed
* Fixed: Team Carousel - Responsive Slider Controls on Desktop, Tablet, Mobile not working issue fixed
* Fixed: Fully compatible "MA Editor Button" placement issue on Tweentytwenty Theme and other themes
* Fixed: MA Counter Up - Color, Typography style not working issue fixed
* Fixed: MA Flipbox - Icon Picker changed on both Front and Back box from dropdown to Elementor Icon Library
* Fixed: MA Flipbox - Front Box description not showing issue fixed
* Fixed: MA Flipbox - Title's changed from TEXT to TEXTAREA for better visibility. Design Styles bring to front for better UX, re-arranged controls for better usablity.
* Updated: MA Flipbox - Added more controls on Action Button Style Tabs - Normal and Hover Settings
* Updated: Main Navigation style breaking with some Themes has been fixed.
* Updated: Advanced Acordion - Collapse, Open icons changed from Dropdown to Icons Library. Repeater Icon also changed
* Updated: Blog Element - Excerpt Icon changed from Dropdown to Icons Library, Icon alignment issue fixed
* Updated: Business Hours - Icon dropdown changed to Icon Library Picker, Checked other compatibility
* Updated: Creative Icons - Design Style Presets bring on front instead of Style Tab. Icon dropdown changed to Icon Library Picker, Icon Alignement issue fixed.
* Updated: Creative Links - Icons Library Updated to latest Fontawesome 5 Icons support. Alignement block issue fixed, brought Style Presets in fornt for better usability
* Updated: Dual Heading - Icons Library Updated to latest Fontawesome 5 Icons support. Alignement block issue fixed, brought Style Presets in fornt for better usability. Conditional Icons select option fixed
* Updated: Image Hover Effects - Icons Library Updated to latest Fontawesome 5 Icons support.
* Updated: MA Infobox - Icons Library Updated to latest Fontawesome 5 Icons support. Style Presets brought on Content Section for better experience.
* Updated: Pricing Table - Icons Library Updated to latest Fontawesome 5 Icons support. Style Presets brought on Content Section for better experience.
* Updated: Table of Contents - Icons Library Updated to latest Fontawesome 5 Icons support.
* Updated: MA Tabs - Icons Library Updated to latest Fontawesome 5 Icons support.
* Updated: MA Team Members - Icons Library Updated to latest Fontawesome 5 Icons support.
* Updated: MA Tooltips - Icons Library Updated to latest Fontawesome 5 Icons support.
* Added: MA Toggle Content - Icon options added on Repeater field and given compatibility.
* Updated: MA Toggle Content - Icons Library Updated to latest Fontawesome 5 Icons support.
* Updated: Bootstrap's default classes changed for conflicting issues with other themes - container, navbar, btn classes changed to "jltma-" prefix.
* Updated: Default button color updated to Master Addons brand color also removed default font size, font family etc.
* Supported: AcmePhoto Theme navigation broken style issue fixed
* Supported: Comment Form - warning message showing for Hello Elementor Theme has been fixed





= 1.5.1 (5-09-2020) =
* Fixed: "Animated Gradient" repeater not working for Elementor v3.0 update issue fixed
* Update: Template Importer support given for both Elementor v2.x.x and v3.x.x
* Fixed: WooCommerce Checkout page style issue fixed
* Fixed: Custom Breakpoints Panel height issue fixed
* Fixed: Custom Breakpoints updated with native Elementor support. It works exactly like default Breakpoints.
* Fixed: Custom Breakpoints - Section/Columns and all other elements Breakpoints support given.
* Fixed: Custom Breakpoints - Section/Column Import Export also works now
* Fixed: Header_Footer class not found on oceanwp and other Themes issue fixed
* Added: Reply and Show Replies button margin option added



= 1.5.0 (29-08-2020) =
* Added: "Elementor Custom Breakpoints" added as Third Party Extension, which is also available on WordPress.org:https://wordpress.org/plugins/custom-breakpoints-for-elementor/
* Fixed: "Template Import" not working on Elementor v3.0 issue fixed
* Added: Dynamic Conditions Extension Added
* Added: Dynamic Tags Extension Added (Which is available on Elementor Pro)
* Added: Gallery Slider Addons Added
* Updated: Toggle Content - Added Toggle Border on Style Tab
* Renamed: Re-named extension "Transitions" to "Entrance Animation"
* Updated: All Animation effects working now on Entrance Animation, also fixed animation delay JS issues.
* Updated: Notices for Pro users showing asking to purchase issue fixed
* Updated: Added Width & Height on "Image Hover Effects"
* Added: Comment Form - Added 'website' field hide option on Comment form.
* Fixed: Comment Form - Checkbox style issue fixed, placeholder not required for Checkbox(conditions fixed)
* Info: Animated Gradient - Reapeater Field not working on Elementor v3.x.x Section/Columns and causing Section/Column Duplicate/Delete error. Details: https://github.com/elementor/elementor/issues/12270. Due to Elementor's core problem we've temporarily disabled multiple Color picker for Animated Gradient to work smoothly. While they'll fix the issue we'll enable it again.


= 1.4.8 (26-08-2020) =
* Updated: Quick update for giving suppor Elementor v3.0
* Updated: Editor not loading on Elementor v3.0 issue fixed


= 1.4.7 (16-08-2020) =
* Added: Header, Footer & Comment Form Builder extension added
* Updated: Multiple Toggle Content on same page not working issue fixed
* Updated: Reading Progress bar warning issue fixed
* Updated: Activation/Deactivation hook fixed, if not saved data then warning showing on Admin Settings problem fixed.
* Fixed: Plugin Deactivation popup style issue fixed
* Fixed: Toggle Content alignment css issue fixed
* Added: Alignment added on Countdown Timer
* Fixed: Fixed Rest API Endpoins notice - "register_rest_route was called incorrectly. The REST API route definition for  is missing the required permission_callback argument. For REST API routes that are intended to be public, use __return_true as the permission callback. for more information. This message was added in version 5.5.0"
* Fixed: Mega Menu link not working issue fixed
* Fixed: Image Comparison default Move Handle issue fixed


= 1.4.6.1 (10-08-2020) =
* Removed: Due to error, we've removed "Custom Breakpoints". We'll release it Addon/separate plugin.

= 1.4.6 (10-08-2020) =
* Updated: Admin UI changed to modern look and placed necessary links in front.
* Updated: Elementor Custom Breakpoints enabled with fixes - not editing live editor and not saving changes issue fixed.
* Fixed: Appearance>Themes UI changed issue fixed
* Updated: Master Addons Scripts & Styles dependency only loaded for Master Addons Menu
* Updated: Master Addons Admin Dashboard widget blog posts style issue fixed, removed contents and only Titles are showing for better appearance.
* Added: Group Control Transitions added on "Image Hotspot" addon
* Added: New Addon Element "Toggle Content" added
* Added: New Extension "Custom JS" added. It's applied on Page "Advanced" Settings. Now, any kind of JavaScripts can be applied on specific page.


= 1.4.5.5 (20-07-2020) =
* Removed: Temporarily removed Custom Breakpoints for layout issue on frontend. Will fix it and enable it again asap.

= 1.4.5.4 (20-07-2020) =
* Fixed: Fatal error Elementor\Core\Base issue fixed
* Updated: Reading progressbar warning fixed

= 1.4.5.2 (20-07-2020) =
* Fixed: Quick fix on fatal error.

= 1.4.5.1 (20-07-2020) =
* Fixed: Quick fix on fatal error.

= 1.4.5 (18-07-2020) =
* Added: Elementor Custom Breakpoints added as Extensions module.
* Removed: "MA" Text removed from all Addon names on Admin backend "Addons" settings.
* Added: Live Demo, Documentation and Video added on every Addon elements bottom for easily accessible help.
* Added: Live Demo, Documentation and Video popup added on Addons switcher
* Fixed: MA Blog Element - 1) Thumbnail Condition Checked on Style tab. 2) Content Color not working issue fixed. 3)
* Updated: MA Tabs - 1) Icon & Tabs typo fixed. Border Radius issue fixed 2) Icon size was missing, now icon size can be controll on all styles
* Updated: MA Timeline - 1) Horizontal space problem fixed 2) warning showings issue fixed
* Fixed: Business Hours - warning issue fixed. Image size problem fixed
* Updated: Dashboard UX changed. Demo, Documentation and Video Tutorials tooltip added with resource links. So, anyone can navigate to specific Addon and check how it works.
* Updated: Dashboard UX codebase updated. Also, huge improvements with Clean codes & overall project codebase.
* Removed: Image and Icon option removed from Infobox
* Updated: MA Domain Search - Search default button style updated. Console error also fixed
* Fixed: Dual Heading - undefined array getting errors for URL issue fixed. URL link to header issue fixed
* Fixed: MA Team Members - undefined array getting errors for URL issue fixed. URL link to header issue fixed
* Fixed: MA Flipbox - "Notice: Trying to access array offset " error fixed and conditionally opened Image and Icons.
* Fixed: MA Image Hover Effects - "Notice: Trying to access array offset " error fixed and custom Message given for not selecting Image.
* Added: Custom Message added on Helper Class. Implemented on Image Hover Effects.
* Fixed: Master Addons>Changelogs php warning issue fixed
* Removed: Dashboard Widget "Master Addons News & Updates" - content excerpt, publish date removed for making it clean



= 1.4.4 (07-07-2020) =
* Fixed: Animated Header extra div problem fixed
* Fixed: Team Slider Free vs Pro Message issue on Premium Version showing message issue fixed
* Removed: MA Infobox default Description hover removed.
* Fixed: Reading Progress Bar - loading full site issue fixed. Now, it only loads enabled pages/posts.


= 1.4.3 (06-07-2020) =
* Added: Header & Footers Tab added on Template Library Editor popup. Currently pre-built 20+ Headers and 10+ Footer designs added on our Template Library.
* Added: Reading Progress Bar on Page Settings Tab
* Added: MA Duplicator for duplicating posts/pages and given support for Duplicating all kind of Custom Post Types
* Fixed: Off Canvas Nagivation menu toggling with anywhere on webpage clicking issue fixed
* Updated: MA Tabs updated script for nested Tabs. Now it supports Nested Tabs beautifully
* Tweak: MA Tabs content typography and Title typography problem fixed. Added 1/12 columns on Tabular Content style



= 1.4.2 (17-06-2020) =
* Updated: Before After Image - Mouse handler not showing in Pro issue fixed
* Fixed: MA Tabs - warning on installation issue fixed.
* Fixed: MA Tabs - border radius not working problem fixed
* Fixed: Vertical Tabs - width 70% problem fixed. Now, content is full width according to container
* Fixed: Tabular Content - Font Size not working issue fixed
* Updated: Cleanup unnecessary files for reducing plugin size

= 1.4.1.1 (17-06-2020) =
* Fixed: Warning showing on Admin fixed

= 1.4.1 (17-06-2020) =
* Updated: Improved Admin User Experience. Typography improved, Save button border problem fixed, navigation typography improved. After saving popup will automatically close, before it needs to close manually.
* Fixed: Animated Headlines scripts issue fixed
* Added: MA Tabs - Tabular Content Style added. Added few more controls - Padding, Margin, Border Radius, Box Shadow, Font Size etc.


= 1.4.0 (11-06-2020) =
* Added: New Addon "Instagram Feed" added
* Added: New Addon "Image Comparison", after and before image comparison added
* Fixed: Image Link duplicate checkbox removed from Image hover effect
* Updated: Team Carousel - Default Style issue fixed, Help Tab adde added for easily navigate Videos, Blog article and Documentation
* Updated: MA Infobox - default broken style issue fixed
* Fixed: Backend sidebar search not working problem fixed
* Updated: Onepage & Mobile Menu close by clicking outside issue fixed.
* Added: Added new class for reset popular theme styles. Airi, Oceanwp theme default sytles issue fixed
* Fixed: Infobox Border not working problem fixed
* Fixed: MA Team Members Carousel Slider Columns not working problem fixed.
* Added: MA Infobox - Border Radius, Margin, Padding added
* Fixed: MA Infobox- Border type not working problem fixed

= 1.3.9 (29-05-2020) =
* Updated: Set Border Radius individual corner, removed previous %/px settings. Added Margin, Padding for Image, Title and Description
* Fixed: For Premium users on MA Tabs "upgrade pro" message on Style Tabs fixed.
* Fixed: Search - console error with JS re-factored. Icon Popup CSS and JS bug fixed.
* Added: New Widget "Blockquote" added
* Fixed: Oceanwp Theme footer conflict issue fixed
* Fixed: Image Hover Effect - Custom Image size issue.
* Fixed: MA Team Members - Custom Image size issue.
* Added: Image Hover Effects - Popup Image, Popup Content, Popup Section, Popup Page Template options added to PRO version.
* Added: Blockquote - new Element added.


= 1.3.8 (13-05-2020) =
* Removed: Margin bottom removed from Image Hover Effects
* Fixed: For Premium users on MA Tabs "upgrade pro" message on Style Tabs fixed.


= 1.3.7 (11-05-2020) =
* Fixed: Free and Pro version conflicting fatal error issue fixed.
* Fixed: Image Hover Effects - Image equal and dynamic height problem fixed. Alignment problem fixed.
* Fixed: Image Hover Effects - on editor extra padding problem fixed.
* Fixed: Image Hover Effects - Added Box Shadow. Default set Lily to Sadie effect. Image height problem on editor fixed
* Fixed: Creative Links margin issue fixed


= 1.3.6 (06-05-2020) =
* Fixed: If Contact Form 7 turned off all addons hidden on Editor issue fixed.
* Fixed: Editor edit mode not working issue fixed


= 1.3.5 (06-05-2020) =
* Added: MA Tabs: more controls added on Tab Heading & Tab Content. Options added - padding, margin, border, border radius etc
* Updated: MA Blogs- Filter by Category Filter and Navigation option updated. Now, posts can be filtered by category.
* Removed: MA Navmenu- Justify alignment removed from desktop.
* Added: MA Navmenu- Hamburger menu alignment added for Desktop
* Fixed: MA Navmenu- On Scroll Sticky, Smart Scroll, Fixed On Scroll, Fixed Top not working issue fixed
* Fixed: MA Navmenu- Tablet screen menu not working problem fixed


= 1.3.4 (27-04-2020) =
* Fixed: Template Library Editor Popup Conflicting issue with other plugins
* Fixed: Image Hover Effects: Image size warning issue fixed
* Fixed: MA Search: Fixed styling Search form and button issue.
* Fixed: MA Restricted Content - Age Selection scrollbar css issue fixed. All "On Page" requests done by ajax.
* Removed: MA Restricted Content - All "On Page" requests, reloading pages
* Fixed: Gravity Form - Gravity Form not working problem fixed
* Fixed: MA Creative Links - Duplicate end_controls_section() causing error issue fixed
* Fixed: MA Navigation Menu - Overlaping Mega Menu contents issue fixed
* Fixed: Master Addons Changelog error - 'Array and string offset access syntax with curly braces is deprecated' issue fixed
* Fixed: MA Mailchimp menu not showing on Addons list issue fixed
* Fixed: Oceanwp Theme Main Navigation gone while activating Master Addons issue fixed


= 1.3.3 (13-04-2020) =
* Fixed: Mega Menu Dropdown padding issue fixed
* Fixed: Contact Form 7 not showing on dashboard issue fixed
* Fixed: MA Team Slider - Dots & arrow showing conflict issue fixed
* Fixed: Mega Menu - Tablet background color issue fixed, menu_label warning issue fixed
* Fixed: Restrict Content - Onpage restrict not working issue fixed
* Updated: MA Contact Form - Label display half on contact form issue fixed
* Removed: "Roboto" font family removed as default form stylesheet
* Added: MA Team Slider - HTML Tags option added on MA Team Slider
* Added: MA Counter Up - Responsive Padding & Margin added
* Added: Ma Navmenu - Tablet Menu issue fixed,

= 1.3.2 (05-04-2020) =
* Added: New Addon "MA Counter Up" element added, Box Shadow removed.
* Added: New feature added on "MA Domain Search" with Affiliation, Custom Messages, style issues fixedma
* Fixed: "MA Team Member" background not changing issue fixed
* Fixed: Image hotspot: Icon not showing issue fixed
* Fixed: MA Navmenu - Submenu Indicator no default option fixed, warning showing navmenu walker issue fixed
* Fixed: MA Dual Heading - Text Alignment on first heading option added, fixed width issue fixed. Adjustment issue fixed for first heading.
* Updated: MA Team Member Slider - Box Shadow removed. Default space given on Desktop & Tablets.
* Fixed: MA Image Filter Gallery - Preview Icon not showing problem fixed,
* Added: MA Navigation Menu - On Scroll, Smart Scroll, On Scroll Fixed, Fixed menu styles and animation styles added.

= 1.3.1 (02-04-2020) =
* Added: "Mega Menu" extension added with huge customization options
* Added: "MA Navigation Menu" element added with huge customization options
* Added: "MA Search" Addon added
* Added: "MA Domain Search" Addon added
* Added: "MA Table" Addon added with dynamic customization Options
* Added: "MA Countdown" Addon added

* Fixed: MA Tabs - replaced Textarea with Editor.
* Fixed: MA Pricing Table - Fixed footer link not working issue.
* Fixed: MA Infobox - error showing on links, image not found


= 1.3.0 (09-03-2020) =
Fixed: Mega Menu file not found issue on backend warning fixed.

= 1.2.9 (27-02-2020) =
* Fixed: MA Filter Gallery > Filter Nav On/Off issue fixed
* Added: MA Filter Gallery > Button Styles- Background Color, Text Color, Typography, Box Shadow, Padding added.
* Added: MA Filter Gallery > Filter Alignment added on Style tab
* Fixed: "MA Add Element" button hidden after Elementor version 2.9 issue fixed
* Fixed: Ready Pages not showing issue fixed on MA Elementor Template Kit
* Added: Templates Title name added on every Template on modal popups
* Fixed: Popup color fade issue with dark Elementor fixed
* Fixed: Filters by Addon positioned on right side

 = 1.2.8 (19-02-2020) =
 * Fixed: MA Filterable Gallery Duplicate URL issue fixed
 * Fixed: MA Timeline "Posts Per Page" error issue fixed
 * Fixed: CSS issue with other websites typography, color and other settings. Fixed problem loading CSS files while Buttons, Creative Links, News Tickers are disabled.
 * Added: 6 New Extensions added - Positions, Transforms, Transitions, Reveal, Rellax, Container Extras, Advanced animations.
 * Added: 2 New Addons Added - Restrict Content and Current Time.

 = 1.2.7 (27-01-2020) =
 * Fixed: After Activating Elementor Pro, "MA Custom CSS" codes disappear issue fixed

 = 1.2.6 (25-01-2020) =
 * Fixed: 'ma-restrict-content' error on backend issue fixed

 = 1.2.5 (24-01-2020) =
 * Fixed: Background Image issue on Business Hours addon fixed
 * Added "MA Custom CSS" Addon.
 * Fixed: MA News Ticker conflicting with other Tickers fixed
 * Added: Text Alignment added on MA Animated Headlines
 * Re-factor all codes, conflicting with Free Version Plugin.
 * Modules - Background Image Slider, Particles, Animated Gradient Module Class re-factored.

 = 1.2.4 (31-12-2019) =
 * Fixed: Promotional Banner showing only "Master Addons" admin Page. "Close" button for not showing promotional content
  issue fixed.
 * Added: New "MA Pricing Table" Elementor Addons added with exclusive, feature-rich and extensive customization options
 .
 * Fixed: Master Addons Icon not showing on Pro version issue fixed.


 = 1.2.3 (14-12-2019) =
 * Added: Blog Excerpt "Read More" style, typography, padding, margin added
 * Added: Read More Icon added with left,right alignment. Padding option also given.
 * Added: Border Radius added on Thumbnail Image
 * Fixed: Blog Post Meta Separator fixed
 * Fixed: Blog Pagination Margin issue fixed
 * Added: Blog Title Padding and Margin Added
 * Added: Content Scroll Indicator Element added

 = 1.2.2 (10-12-2019) =
 * Fixed: Image Hover Effects error issue fixed.
 * Fixed: Markdown Constructor method error fixed.
 * Fixed: Promotional Content Skip Link added
 * Fixed: MA Timeline ICONS method issue fixed.


 = 1.2.1 (26-11-2019) =
 * Fixed: Dashboard all checkbox Off issue
 * Added: Promotional Banner added for Black Friday and Cyber Monday lifetime deals for $29
 * Fixed: If Contact Form 7 Installed and Activated then Contact Form Element will load issue fixed.
 * Fixed: Scrolling issue on Master Addons Admin issue fixed
 * Fixed: cann't redeclare 'ma_el_image_border_color' issue fixed

 = 1.2.0 (18-11-2019) =
 * Removed: tocbot.css file removed. CSS moved to main css file. Duplicate contents of css loading
 * Fixed: Extensions Pro issue fixed.
 * Fixed: Title color not changing "Style 2" on Call to Action fixed
 * Fixed: Applied Osaka Pro Theme Download link on Premium Plugin Version


 = 1.1.9 (11-11-2019) =
 * Fixed: 'ma_el_blog_users' misspelled on MA Timeline
 * Fixed: 'ma_el_bh_table_btn_link' butto link on MA Business Hours
 * Fixed: "(pro)" removed from MA Creative Links
 * Fixed: MA Image Carousel Addon Name fixed
 * Added: MA Timeline Addons Added
 * Update: MA Image Filter Gallery Addons Added. Sponsors carousel or Logo Carousel, Client Carousel, Image Carousel
 with text will be added next update.


 = 1.1.8 (04-11-2019) =
 * Fixed: Fixed error Elementor\Group_Control_Base

 = 1.1.7 (01-11-2019) =
 * Fixed: MA Image Hotspot Tooltip issue fixed

 = 1.1.6 (29-10-2019) =
 * Added: MA Image Hotspot Added
 * Fixed: MA Image Hover effect css issue fixed
 * Fixed: Ma Flipbox hover effect issue fixed

 = 1.1.5 (22-10-2019) =
 * Fixed: Image Hover Effects Conditions fixed. Title, Social Links, Descriptions conditionally show issue fixed with
 CSS.


 = 1.1.4 (15-10-2019) =
 * Tweak: Team Slider Content Drawer conflicting with Slick Slider issue resolved.
 * Added: Team Slider Added Background Image Position Left, Top for proper adjustment.
 * Added: Team Slider Added Team Member Image Position Left, Top for proper adjustment.
 * Tweak: Fixed Animation SVG not showing issue.
 * Updated: Updated 6 Circle Gradient Layout styles for Team Slider Background
 * Added: Rounded Style Team Members Added
 * Fixed: Dashboard Extensions, Addons tabs error fixed.
 * Added: Image Size, Background Image size added on Team Slider Image
 * Added: Dual Heading Icon fixed
 * Added: MA Accordion Single Item class error fixed
 * Added: Added Icon Border Color on MA Flipbox
 * Added: "MA" icon added on Widgets top right corner
 * Fixed: MA Infobox - Title and Description hover color issue fixed
 * Added: "MA" top right corner icon added for easy identical. MA Icon css issue fixed
 * Fixed: MA Creative Button style issues fixed - Winona, Tamaya, Rayen, Isi, Saqui, Nina, Nanuk, Itzel, Naira, Sacnite
 buttons etc.
 * Added: Missing Bootstrap css file added.
 * Added: MA Infobox- Icon Color, Icon Background, Icon Hover Color and Icon Hover Background Color option added
 * Tweak: MA Creative Button Box Shadow on Hover issue fixed
 * Fixed: MA Team Carousel Image not showing problem fixed
 * Added: MA Team Carousel and MA Team Members Content Alignment feature added
 * Added: Added Border for MA Team Carousel Navigation items
 * Added: 3d Flipbox Added on MA Flipbox
 * Added: Added Image Hover Effects and Style issues fixed.
 * Added: MA Blog Element Addons with huge Customizations Options.
 * Added: MA News Ticker Addon, you can do any kind of variations by yourself
 * Added: MA Business Hours - bunch of Customizations and Layout Variations
 * Added: MA Table of Contents - Must have Addon for Content Creators. Unlimited variations for Table of Contents.

 = 1.1.3 (10-09-2019) =
 * Fixed: Icons Color Changed "Normal" and "Hover" Options given on MA Dual Headlines
 * Fixed: Creative Button Saqui Transform style fixed

 = 1.1.2 (06-09-2019) =
 * Fixed: MA Team Members Carousel JS issue fixed
 * Fixed: MA Changelog h2 tag overlap issue fixed
 * Removed: MA Flipbox Duplicate Background removed
 * Removed: MA Flipbox Front Box Title, Description color Removed.
 * Fixed: MA Team Carousel Gridder offset problem fixed
 * Fixed: Call to Action Variations Added, Gradient, Background Image, Typography added
 * Updated: Master Addons Admin Page re-factored. Minimal Designed, Compressed Addons spacing for better visuals.
 * Removed: Master Addons Admin page - "How to" section with Demo links. Removed all Images from source folder for
 decreasing Plugin size. Reduced 12MB to 4MB. All Images will be loaded from Master Addons website.
 * Updated: Flipbox Background Color Updated
 * Added: Team Slider - Item Spacing for all team member options, Gridder spacing, Gridder Background Color and
 Designation Color option Added.
 * Team Members
 * Added: MA Flipbox Front Text and Back Text Alignment
 * Added: Nested Tabs feature added for MA Tabs.
 * Updated: Re-factored MA Tabs Codes
 * Added: Multicolor Accordion Title and Content Color Option given
 * Added: Social Icon Color Change Option for "Normal" and "Hover" tab Option added on MA Team Carousel
 * Updated: Dashboard News widget and Blog Updates Feed Link changed to Master Addons Website. Logo Icon Placed for
 more visual appeal.
 * Added: Dashboard Master Addons News RSS feed Opens New Window.
 * Updated: Dashboard Addons, Extensions seperated. Pro Features blocked with Popup Sweetalert.
 * Added: Blocked Pro Version Ribbons, popup opens with Pro Version Pricing Links.




 = 1.1.1 (30-08-2019) =
 * Fixed: MA Headlines renamed MA Animated Headlines.
 * Fixed: Accordion Design Presets styles done.
 * Added: Accordion Items can be designed individually. Every item can be set different background color, text color etc.
 * Added: Nested Accordion feature added
 * Removed: Image and Video feature removed from Accordions
 * Fixed: Animated Gradient Background color issue fixed. Overlay color set issue also fixed.
 * Fixed: Background Image Slider for sections issue fixed.
 * Fixed: MA Animated Headlines page flipping issue fixed. Updated scripts and styles.
 * Added: Nine Style Presets added for MA Animated Headlines.
 * Fixed: Icon not showing issue on Dual Heading fixed.
 * Fixed: Added "Heading HTML Tags" Options on Dual Heading Elements. Fixed - Typography, Color and Background issue for
  First Design Preset.
 * Fixed: Particles not showing, Animated Gradient Background not working, Background Slider Image resize issues fixed
 * Added: "Master Addons Widget Badge" added on Particles, Animated Gradient Background, Background Slider.
 * Fixed: Caldera Form error and Styles.
 * Fixed: Infobox 10 Design Style Presets fixed.
 * Added: Infobox gradient Color Style changer
 * Removed: Custom Title and Description removed from Ninja Form
 * Fixed: Ninja Form Label and Placeholder switcher and css fixings.
 * Fixed: Dual Heading icon spacing issue fixed
 * Added: HTML Tags added on Dual heading icon spacing issue fixed
 * Fixed: MA Cards Image Alt content now showing fixed
 * Added: Flipbox- Default, Image, Diagnoal style variations added
 * Added: New Addon Element added "Creative Links"
 * Removed: Font Awesome 4, Font Awesome 5, Animate.css, wow.js removed from plugin. All are available on Elementor Core
 * Added: Affiliation Added for any Plugin Users. Starting from 50% flat commissions for all Affiliates.


 = 1.1.0 (11-8-2019) =
 * Fixed: Admin Notice not showing issue on Master Addons issue fixed
 * Fixed: Plugin uri changed to Master Addons website
 * Fixed: Contact Forms Style issues fixed
 * Fixed: Accordion Style issues fixed, conflicting JS issue fixed
 * Fixed: Team Member and Team Member Slider style issue fixed



 = 1.0.9 (2-8-2019) =
 * Fixed: Freemius SDK Live Update problem. It's fixed now.
 * Updated: Team Section Full Size Image Replaced with backend Image size.
 * Updated: Carousel Team Slider Updated fixed Image Size to backend Image size by user Inputs
 * Updated: Forms Styles and other style issues

 = 1.0.8 (25-7-2019) =
     * Fixed: Freemius Free Version Popup issue fixed

 = 1.0.7 (24-7-2019) =
     * Fixed: Accordion issue fixed
    * Fixed: weDocs sweet alert conflicting issue fixed
    * Updated: Checked Free vs Pro version of Master Addons Comparisons
    * Update: Pro Ribbon added on Gravity Forms, functioned frontend and backend also
    * Update: Schedule Plugin Check




 = 1.0.6 (6-7-2019) =
 * Fixed: Markdown Library Error - Plugin activation Error “The plugin does not have a valid header” fixed
 * Added: Contact Form 7, Ninja Forms, Gravity Forms, WPForms, Caldera Forms, weForms added
 * Updated: 12 Style Presets added for Contact Form 7
 * Update: Schedule Plugin Check


 = 1.0.5 (4-7-2019) =
 * Fixed: Plugin activation Error “The plugin does not have a valid header” fixed
 * Update: Version bump


 = 1.0.4 (3-7-2019) =
 * Added: Freemius SDK for Master Addons for Elementor
 * Added: Call to Action Element/Widget
 * Added: Call to Action Progressbars Element
 * Fixed: Addons Tabs Style fixed
 * Fixed: Move Master Addons Main menu from Sub Menu
 * Fixed: Menu Position Changed just under "Elementor" and "Templates" Menu
 * Added: Info Service Icons
 * Fixed: BG Slider swiper.min.css file not found issue
 * Fixed: Creative Links Conflict with website Nav Class/ID's
 * Fixed: Admin Docs content typo fixed
 * Fixed: Script not working issue fixed- progressbars, tabs, accordion, team slider was not working. Fixed the issue.
 * Fixed: Countdown Script issue fixed
 * Fixed: Progressbar, Piechart, Progressbars, Team Slider, Counterup, Countdown, Custom waypoint Script issue fixed
 * Fixed: Dashboard Settings not working issue fixed
 * Updated: Master Addons Class CSS and JS files re-arranged with wp_register_style and wp_register_script methods


 = 1.0.3 (26-6-2019) =
 * Fixed: Ninja Forms not found issue fixed
 * Added: Added Dashboard News feed for Master Addons
 * Fixed: Cleanup Unnecessary Codes
 * Fixed: Free and Pro Creative Buttons CSS fixed
 * Fixed: Dependencies and Checked Free and Pro Version Apply Filter.
 * Added: Ninja Forms Added with unlimited customization possibilities
 * Added: Caldera Forms Added
 * Added: WP Forms Added
 * Added: weForms Added
 * Added: Call to Action Elementor Element / Widget added
 * Added: Creative Buttons Added
 * Added: Section Particles Added: BG Slider, Animated Background etc

 = 1.0.2 (24-6-2019) =
 * Fixed: Advanced Accordion JS issue fixed
 * Fixed: Animated Heading CSS issue fixed

 = 1.0.1 =
 * Version Bump

 = 1.0.0 (17-6-2019)=
 * Initial Release
